#
# spec file for package python-pgu
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-pgu
Version:        0.18
Release:        1.14
Url:            http://code.google.com/p/pgu/
Summary:        A collection of handy modules and scripts for PyGame
License:        LGPL-2.1
Group:          Development/Languages/Python
Source:         http://pgu.googlecode.com/files/pgu-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  unzip
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
A collection of handy utilities and libraries created by Phil Hassey.

%prep
%setup -q -n pgu-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}%{_datadir}/pgu

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt docs examples
%{_bindir}/leveledit
%{_bindir}/levelfancy
%{_bindir}/tganew
%{_bindir}/tileedit
%{python_sitelib}/*
%{_datadir}/pgu

%changelog
* Wed Dec  4 2013 p.drouand@gmail.com
- Update to version 0.18.0
  + added "clean" theme with experimental alpha support
  + added pngs missing in "gray" theme
  + added various checks for required style information
  + added "down_offset" style for shifting button contents when clicked
  + added support for PGU_THEME environment variable
  + added code for handling widgets that need alpha blending
  + bug fix in basic.is_color
  + bug fix in basic.Label.set_font
- Changes from version 0.17.0
  + fixed a python3 compatibility problem with setup.py
  + module html.py now working under python3
  + added an "activate" signal to text input box
  + removed some obsolete files
  + removed html5.py example
- A lot of improvements
- BUGS.txt, GUIDE.txt and TODO.txt have been deleted by upstream
* Wed Jun  1 2011 saschpe@suse.de
- Update to version 0.16
  * Bug fix release
- Spec file cleanup:
  * Added changes file and removed %%changelog stuff
  * Maded it a noarch package
  * Don't cleanup buildroot in %%build section
  * Use fdupes
* Fri Jan 19 2007 judas_iscariote@shorewall.net
- Update version.
* Thu Jun 22 2006 jfunk@funktronics.ca
- Update
* Tue Oct 25 2005 jfunk@funktronics.ca
- Update
- Build for SL10
* Wed Oct  5 2005 jfunk@funktronics.ca
- Initial release
